# List of all items[−]

### Structs

- alloc::Global
- arc::Arc
- arc::Weak
- binary_heap::BinaryHeap
- binary_heap::Drain
- binary_heap::IntoIter
- binary_heap::Iter
- binary_heap::PeekMut
- boxed::Box
- boxed::PinBox
- btree_map::BTreeMap
- btree_map::IntoIter
- btree_map::Iter
- btree_map::IterMut
- btree_map::Keys
- btree_map::OccupiedEntry
- btree_map::Range
- btree_map::RangeMut
- btree_map::VacantEntry
- btree_map::Values
- btree_map::ValuesMut
- btree_set::BTreeSet
- btree_set::Difference
- btree_set::Intersection
- btree_set::IntoIter
- btree_set::Iter
- btree_set::Range
- btree_set::SymmetricDifference
- btree_set::Union
- fmt::Arguments
- fmt::DebugList
- fmt::DebugMap
- fmt::DebugSet
- fmt::DebugStruct
- fmt::DebugTuple
- fmt::Error
- fmt::Formatter
- linked_list::DrainFilter
- linked_list::IntoIter
- linked_list::Iter
- linked_list::IterMut
- linked_list::LinkedList
- raw_vec::RawVec
- rc::Rc
- rc::Weak
- slice::Chunks
- slice::ChunksMut
- slice::ExactChunks
- slice::ExactChunksMut
- slice::Iter
- slice::IterMut
- slice::RSplit
- slice::RSplitMut
- slice::RSplitN
- slice::RSplitNMut
- slice::Split
- slice::SplitMut
- slice::SplitN
- slice::SplitNMut
- slice::Windows
- str::Bytes
- str::CharIndices
- str::Chars
- str::EncodeUtf16
- str::Lines
- str::LinesAny
- str::MatchIndices
- str::Matches
- str::ParseBoolError
- str::RMatchIndices
- str::RMatches
- str::RSplit
- str::RSplitN
- str::RSplitTerminator
- str::Split
- str::SplitN
- str::SplitTerminator
- str::SplitWhitespace
- str::Utf8Error
- str::pattern::CharPredicateSearcher
- str::pattern::CharSearcher
- str::pattern::CharSliceSearcher
- str::pattern::StrSearcher
- string::Drain
- string::FromUtf16Error
- string::FromUtf8Error
- string::String
- vec::Drain
- vec::DrainFilter
- vec::IntoIter
- vec::Splice
- vec::Vec
- vec_deque::Drain
- vec_deque::IntoIter
- vec_deque::Iter
- vec_deque::IterMut
- vec_deque::VecDeque

### Enums

- borrow::Cow
- btree_map::Entry
- str::pattern::SearchStep
- string::ParseError

### Traits

- borrow::Borrow
- borrow::BorrowMut
- borrow::ToOwned
- boxed::FnBox
- fmt::Binary
- fmt::Debug
- fmt::Display
- fmt::LowerExp
- fmt::LowerHex
- fmt::Octal
- fmt::Pointer
- fmt::UpperExp
- fmt::UpperHex
- fmt::Write
- slice::SliceConcatExt
- slice::SliceIndex
- str::FromStr
- str::pattern::DoubleEndedSearcher
- str::pattern::Pattern
- str::pattern::ReverseSearcher
- str::pattern::Searcher
- string::ToString

### Macros

- format
- vec

### Functions

- alloc::oom
- fmt::format
- fmt::write
- slice::from_raw_parts
- slice::from_raw_parts_mut
- slice::from_ref
- slice::from_ref_mut
- str::from_boxed_utf8_unchecked
- str::from_utf8
- str::from_utf8_mut
- str::from_utf8_unchecked
- str::from_utf8_unchecked_mut

### Typedefs

- alloc::Heap
- fmt::Result

### Constants

- alloc::Heap

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)